com.google.gwt.dom.builder.shared

## Interface ScriptBuilder

All Superinterfaces:
  ElementBuilderBase<ScriptBuilder>

All Known Implementing Classes:
  DomScriptBuilder, HtmlScriptBuilder

    public interface ScriptBuilder
    extends ElementBuilderBase<ScriptBuilder>

Builds an script element.

### Field Summary

Fields
`static java.lang.String` `UNSUPPORTED_HTML`

### Method Summary

All Methods Instance Methods Abstract Methods
`ScriptBuilder` `defer(java.lang.String defer)` Indicates that the user agent can defer processing of the script.
`ScriptBuilder` `src(java.lang.String src)` URI designating an external script.
`ScriptBuilder` `type(java.lang.String type)` The content type of the script language.

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

### Field Detail

#### UNSUPPORTED_HTML

    static final java.lang.String UNSUPPORTED_HTML

See Also:
  Constant Field Values

### Method Detail

#### defer

    ScriptBuilder defer(java.lang.String defer)

Indicates that the user agent can defer processing of the script.

See Also:
  W3C HTML Specification

#### src

    ScriptBuilder src(java.lang.String src)

URI designating an external script.

See Also:
  W3C HTML Specification

#### type

    ScriptBuilder type(java.lang.String type)

The content type of the script language.

See Also:
  W3C HTML Specification